{% extends "blog/base.html" %}

{% block content %}
    <div class="centerstage">
        {% for post in post_list %}
            <div class="post">
                <h1><a href="{% url 'blog:post-detail' pk=post.pk %}">{{ post.title }}</a></h1>
                <div class="date">
                    <p>Published on: {{ post.published|date:"d-M-Y" }}</p>
                </div>
                <a href="{% url 'blog:post-detail' pk=post.pk %}">Comments: {{ post.approved_comments.count }}</a>
            </div>
        {% endfor %}
    </div>
{% endblock %}